<?php

defined('_JEXEC') or die();
require_once(__DIR__ . '/include.php');

?>
<div class="col100">
    <h2><?php echo _JSHOP_RBSPAYMENT_SETTINGS_HEADER1; ?></h2>
    <fieldset class="adminform">
        <table class="admintable" width="100%">
            <tr>
                <td style="width:400px;" class="key">
                    <?php echo _JSHOP_RBSPAYMENT_TEST_MODE_LABEL;?>
                </td>
                <td>
                    <?php
                    print JHTML::_('select.booleanlist', 'pm_params[rbs_test_mode]', 'class = "inputbox" size = "1"', $params['rbs_test_mode']);

                    ?>
                </td>
            </tr>

            <tr>
                <td class="key" width="300">
                    <?php echo _JSHOP_RBSPAYMENT_LOGIN_LABEL;?>
                </td>
                <td>
                    <input type="text" name="pm_params[rbs_merchant_login]" class="inputbox"
                           value="<?= isset($params['rbs_merchant_login']) ? $params['rbs_merchant_login'] : ""?>">
                </td>
            </tr>

            <tr>
                <td class="key">
                    <?php echo _JSHOP_RBSPAYMENT_PASSWORD_LABEL;?>
                </td>
                <td>
                    <input type="text" name="pm_params[rbs_merchant_password]" class="inputbox"
                           value="<?= isset($params['rbs_merchant_password']) ? $params['rbs_merchant_password'] : "" ?>">
                </td>
            </tr>
            <tr>
                <td style="width:250px;" class="key">
                    <?php echo _JSHOP_RBSPAYMENT_PHASE_LABEL;?>
                </td>
                <td>
                    <?php
                    print JHTML::_('select.booleanlist', 'pm_params[rbs_two_stage]', 'class = "inputbox" size = "1"', $params['rbs_two_stage']);
                    ?>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <h2><?php echo _JSHOP_RBSPAYMENT_SETTINGS_HEADER2;?></h2>
                </td>
            </tr>
            <tr>
                <td class="key">
                    <?php echo _JSHOP_RBSPAYMENT_PAYMENT_STATE_SUCCESSFUL;?>
                </td>
                <td>
                    <?php print JHTML::_('select.genericlist', $orders->getAllOrderStatus(), 'pm_params[transaction_end_status]', 'class = "inputbox" ', 'status_id', 'name', $params['transaction_end_status']); ?>
                </td>
            </tr>
            <tr>
                <td class="key">
                    <?php echo _JSHOP_RBSPAYMENT_PAYMENT_STATE_FAILED;?>
                </td>
                <td>
                    <?php echo JHTML::_('select.genericlist', $orders->getAllOrderStatus(), 'pm_params[transaction_failed_status]', 'class = "inputbox" ', 'status_id', 'name', $params['transaction_failed_status']); ?>
                </td>
            </tr>
<?php if (RBS_ENABLE_FISCALE_OPTIONS) : ?>
            <tr>
                <td class="key">
                    <?php echo _JSHOP_RBSPAYMENT_SEND_ORDER_LABEL;?>
                </td>
                <td>
                    <?php
                    print JHTML::_('select.booleanlist', 'pm_params[rbs_send_order]', 'class = "inputbox" size = "1"', $params['rbs_send_order']);

                    ?>
                </td>
            </tr>
            <tr>
                <td class="key">
                    <?php echo _JSHOP_RBSPAYMENT_TAX_SYSTEM_LABEL;?>
                </td>
                <td>
                    <?php echo JHTML::_('select.genericlist', $rbs_taxSystems, 'pm_params[rbs_tax_system]', 'class = "inputbox"', 'id', 'name', $params['rbs_tax_system']);?>
                </td>
            </tr>
            <tr>
                <td class="key">
                    <?php echo _JSHOP_RBSPAYMENT_FFD_VERSION_LABEL;?>
                </td>
                <td>
                    <?php echo JHTML::_('select.genericlist', $rbs_ffdVersions, 'pm_params[rbs_ffd_version]', 'class = "inputbox"', 'id', 'name', $params['rbs_ffd_version']);?>
                </td>
            </tr>
            <tr>
                <td class="key">
                    <?php echo _JSHOP_RBSPAYMENT_PAYMENT_METHOD_LABEL;?>
                </td>
                <td>
                    <?php echo JHTML::_('select.genericlist', $rbs_ffd_paymentMethodTypeList, 'pm_params[rbs_ffd_paymentMethodType]', 'class = "inputbox"', 'id', 'name', $params['rbs_ffd_paymentMethodType']);?>
                </td>
            </tr>
            <tr>
                <td class="key">
                    <?php echo _JSHOP_RBSPAYMENT_PAYMENT_OBJECT_LABEL;?>
                </td>
                <td>
                    <?php echo JHTML::_('select.genericlist', $rbs_ffd_paymentObjectTypeList, 'pm_params[rbs_ffd_paymentObjectType]', 'class = "inputbox"', 'id', 'name', $params['rbs_ffd_paymentObjectType']);?>
                </td>
            </tr>
<?php endif; ?>


        </table>
    </fieldset>
</div>
<div class="clr"></div>